package com.iamberry.wechat.face.withdrawal;

import com.iamberry.wechat.core.entity.welfare.UserAmount;
import com.iamberry.wechat.core.entity.welfare.UserAmountLogs;
import com.iamberry.wechat.core.entity.welfare.UserAtLogs;
import com.iamberry.wechat.core.entity.welfare.WelfareLogs;

import java.util.List;

/**
 * @author root
 */
public interface UserAtLogsService {
    int del(Integer atId);

    int add(UserAtLogs record);

    UserAtLogs get(Integer atId);

    int edit(UserAtLogs record);

    List<UserAtLogs> list(UserAtLogs data);

    List<UserAtLogs> selectAtlogsInfo(UserAtLogs data);

    Integer selectAtlogsInfoCount(UserAtLogs data);
}
